Get objectives
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/pos/objectivesimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/pos/objectives"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/pos/objectives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"total": 10,
"tax_amount": 1,
"date": "2025-01-01"
}
],
"total": 1,
"page": 2,
"size": 2
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "The resource {Method} - {Resource} is not supported by {ConnectorName}",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"message": "Error while trying to authenticate to {ConnectorName}",
"status": "error"
}Objectives
Get objectives
Return the total amount and the tax amount for a specific period
GET
/
consumers
/
{consumer_id}
/
pos
/
objectives
Get objectives
Path Parameters
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Start date (inclusive) of the period to get payments from
End date (inclusive) of the period to get payments from
Unique identifier of the location. If none passed, objectives from all locations will be returned unless the location was selected by the end-user